> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # List API Keys ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json get /apikey openapi: 3.0.0 info: title: bunny.net API description: >- bunny.net Logo Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation

Third party API clients:


We currently do not maintain an official API library, but you can use one of the third party ones provided here:

https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)

Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them. termsOfService: https://bunny.net/tos contact: name: bunny.net url: https://docs.bunny.net email: support@bunny.net version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] tags: - name: Stream Video Library - name: User - name: AuditLog - name: Storage Zone - name: Statistics - name: Search - name: Pull Zone - name: Pricing - name: Load Balancer - name: DNS Zone - name: DNSSEC - name: Billing - name: API Keys - name: Affiliate - name: Countries - name: Purge - name: Region paths: /apikey: get: tags: - API Keys summary: List API Keys operationId: ApiKeyPublic_GetApiKeysByAccountEndpoint parameters: - name: page in: query schema: type: integer format: int32 default: 1 maximum: 2147483647 minimum: 1 x-position: 1 - name: perPage in: query schema: type: integer format: int32 default: 1000 maximum: 1000 minimum: 5 x-position: 2 responses: '200': description: The list of all API keys on the account content: application/json: schema: $ref: '#/components/schemas/PaginationListModelOfApiKeyModel' '401': description: The request authorization failed '500': description: Internal Server Error security: - AccessKey: - User - UserApi - bearer: - User - UserApi components: schemas: PaginationListModelOfApiKeyModel: type: object additionalProperties: false properties: Items: type: array nullable: true items: $ref: '#/components/schemas/ApiKeyModel' CurrentPage: type: integer format: int32 TotalItems: type: integer format: int32 HasMoreItems: type: boolean ApiKeyModel: type: object additionalProperties: false properties: Id: type: integer format: int64 Key: type: string nullable: true Roles: type: array nullable: true items: type: string securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.